Bug Hunting Session
Bug 60054 - sdremote - android app very crashy ...
Summary: sdremote - android app very crashy ...
Status: RESOLVED FIXED
Alias: None
Product: Impress Remote
Classification: Unclassified
Component: Android app (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium critical
Assignee: Not Assigned
URL:
Whiteboard: target:4.1.0 target:4.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-30 06:21 UTC by Michael Meeks
Modified: 2015-02-13 19:45 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2013-01-30 06:21:53 UTC
The android app is horribly unstable.
It -seems- that this relates to very odd behaviour around 'onCreate' not getting called and/or some Activity lifecycle nightmares.

A trivial example of this (that doesn't actually crash) is just starting the remote with the volume keys working for next/prev slide, then rotating the display - and seeing that it does not [!].

Why not ? Instrumenting the relevant method shows that (as elsewhere) we magically have a null mPresentationFragment - despite there being no code that sets that. Coercing 'this' to a string before/after it failing shows:

org.libreoffice.impressremote.PresentationActivity@405374f0
... do the rotate, new keypress event ...
org.libreoffice.impressremote.PresentationActivity@406afda0

Which suggests that we have two different PresentationActivities -but- why !? surely that shouldn't happen on rotate ... I see similar related oddly null pointer crashes around the place elsewhere too.
Comment 1 Not Assigned 2013-01-30 08:06:26 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=74d2bcf697aeb631e927d8d87ea2ed5b96d816e6

fdo#60054 - sdremote - handle rotation without causing issues.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Not Assigned 2013-01-30 08:17:47 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3353687fb4af77de2a5a901d58b940367162f741&h=libreoffice-4-0

fdo#60054 - sdremote - handle rotation without causing issues.


It will be available in LibreOffice 4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Thorsten Behrens (CIB) 2013-02-08 12:59:24 UTC
FWICT, this is fixed with the sdremote-1.0.0 release that went out yesterday.
Comment 4 Robinson Tryon (qubit) 2015-02-13 19:45:44 UTC
Moving bug to (new) 'Impress Remote' product.